> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Revise



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/{revision_id}/revise
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/{revision_id}/revise:
    post:
      tags:
        - SEO and Content Create
      summary: Revise
      operationId: >-
        revise_api_v1_brands__brand_id__brand_intelligence__module__native_create__revision_id__revise_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: module
          in: path
          required: true
          schema:
            type: string
            enum:
              - seo
              - content
            title: Module
        - name: revision_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Revision Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NativeCreateReviseRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeCreateJobView'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NativeCreateReviseRequest:
      properties:
        quoteId:
          type: string
          format: uuid
          title: Quoteid
        contextSnapshotRef:
          $ref: '#/components/schemas/ContextSnapshotRef'
        idempotencyKey:
          type: string
          maxLength: 128
          minLength: 1
          title: Idempotencykey
        baseRevisionId:
          type: string
          format: uuid
          title: Baserevisionid
        childContext:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateChildContext'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - quoteId
        - contextSnapshotRef
        - idempotencyKey
        - baseRevisionId
      title: NativeCreateReviseRequest
    NativeCreateJobView:
      properties:
        jobId:
          type: string
          format: uuid
          title: Jobid
        ownerId:
          type: string
          format: uuid
          title: Ownerid
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        childContext:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateChildContext'
            - type: 'null'
        module:
          type: string
          enum:
            - seo
            - content
          title: Module
        deliverable:
          type: string
          enum:
            - seo_strategy
            - seo_refresh
            - content_strategy
            - content_asset
            - content_plan
          title: Deliverable
        state:
          type: string
          enum:
            - accepted
            - queued
            - claiming
            - running
            - succeeded
            - failed
            - cancel_requested
            - cancelled
            - reconciling
          title: State
        accessState:
          type: string
          enum:
            - available
            - restricted
            - erased
          title: Accessstate
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        items:
          items:
            $ref: '#/components/schemas/NativeCreateJobItemView'
          type: array
          maxItems: 21
          title: Items
        errorCode:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Errorcode
        statusMessage:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Statusmessage
        reused:
          type: boolean
          title: Reused
          default: false
      additionalProperties: false
      type: object
      required:
        - jobId
        - ownerId
        - revisionId
        - module
        - deliverable
        - state
        - accessState
        - createdAt
        - updatedAt
      title: NativeCreateJobView
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContextSnapshotRef:
      properties:
        contextSnapshotId:
          type: string
          format: uuid
          title: Contextsnapshotid
        contextHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Contexthash
        artifactSchemaVersion:
          type: string
          maxLength: 64
          minLength: 1
          title: Artifactschemaversion
        packetSchemaVersion:
          type: string
          maxLength: 64
          minLength: 1
          title: Packetschemaversion
        projectionPolicyVersion:
          type: string
          maxLength: 64
          minLength: 1
          title: Projectionpolicyversion
        manifestHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Manifesthash
      additionalProperties: false
      type: object
      required:
        - contextSnapshotId
        - contextHash
        - artifactSchemaVersion
        - packetSchemaVersion
        - projectionPolicyVersion
        - manifestHash
      title: ContextSnapshotRef
    NativeCreateChildContext:
      properties:
        programRevisionId:
          type: string
          format: uuid
          title: Programrevisionid
        assetId:
          type: string
          format: uuid
          title: Assetid
        childRevisionId:
          type: string
          format: uuid
          title: Childrevisionid
      additionalProperties: false
      type: object
      required:
        - programRevisionId
        - assetId
        - childRevisionId
      title: NativeCreateChildContext
    NativeCreateJobItemView:
      properties:
        itemKey:
          type: string
          maxLength: 120
          minLength: 1
          pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
          title: Itemkey
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        assetId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assetid
        state:
          type: string
          enum:
            - accepted
            - queued
            - claiming
            - running
            - succeeded
            - failed
            - cancel_requested
            - cancelled
            - reconciling
          title: State
        errorCode:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Errorcode
      additionalProperties: false
      type: object
      required:
        - itemKey
        - revisionId
        - state
      title: NativeCreateJobItemView
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````